﻿using System;
using Newtonsoft.Json;
using System.IO;
using System.Collections.Generic;
using flightBooking.Class;

namespace flightBooking
{
	class MainClass
	{
		public static void Main(string[] args)
		{
			List<Flight> flights;
			Customer customer = new Customer("SAMS", "Sam", "Smith", "+50431401307");
			using (StreamReader info = File.OpenText(@"../../Resources/flights.json")) {
				JsonSerializer serializer = new JsonSerializer();
				flights = (List<Flight>)serializer.Deserialize(info, typeof(List<Flight>));
			}

			flights[0].bookFlight(customer);
			flights[1].checkIfFlightIsDelayed("11:50AM", customer);
		}
	}
}
